clear

mu=2;
beta=0.97;

b=3;

amax=15;
n=1000;
m=5;

rho=0.53;
sigma=0.296;

[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
s=exp(s);

a=uniformnodes(-b,amax,n);

tic
[r,out]=ridders('huggett_eq',0.001,0.1,1e-5,a,s,P,beta,mu);
toc

lambda=out{1};

distA=sum(lambda,2);
subplot(2,1,1), plot(a,distA,'LineWidth',2)
subplot(2,1,2), plot(a,cumsum(distA),'LineWidth',2)