clear

mu=2;
beta=0.97;

amax=8;
n=1000;
m=5;

rho=0.53;
sigma=0.296;
[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
s=exp(s);

a1=uniformnodes(-5,amax,n);

[r1,out1]=ridders('huggett_eq',0,0.1,1e-5,a1,s,P,beta,mu);
lambda1=out1{1};
distA1=sum(lambda1,2);

mu=10;

[r2,out2]=ridders('huggett_eq',-0.1,0.1,1e-5,a1,s,P,beta,mu);
lambda2=out2{1};
distA2=sum(lambda2,2);

subplot(2,1,1), plot(a1,cumsum([distA1 distA2]),'LineWidth',2)
legend('\mu=2','\mu=10',0)

mu=2;
a2=uniformnodes(-3,amax,n);

[r3,out3]=ridders('huggett_eq',-0.1,0.1,1e-5,a2,s,P,beta,mu);
lambda3=out3{1};
distA3=sum(lambda3,2);

rho=0.95;
[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
s=exp(s);

[r4,out4]=ridders('huggett_eq',-0.1,0.1,1e-5,a2,s,P,beta,mu);
lambda4=out4{1};
distA4=sum(lambda4,2);

subplot(2,1,2), plot(a2,cumsum([distA3 distA4]),'LineWidth',2)
legend('\rho=0.53','\rho=0.99',0)